package com.liang.service;

import com.liang.entity.StaSoftwareexpenses;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;

/**
 * 软件使用费(StaSoftwareexpenses)表服务接口
 *
 * @author makejava
 * @since 2023-07-18 21:52:44
 */
public interface StaSoftwareexpensesService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    StaSoftwareexpenses queryById(Integer id);

    /**
     * 分页查询
     *
     * @param staSoftwareexpenses 筛选条件
     * @param pageRequest         分页对象
     * @return 查询结果
     */
    Page<StaSoftwareexpenses> queryByPage(StaSoftwareexpenses staSoftwareexpenses, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param staSoftwareexpenses 实例对象
     * @return 实例对象
     */
    StaSoftwareexpenses insert(StaSoftwareexpenses staSoftwareexpenses);

    /**
     * 修改数据
     *
     * @param staSoftwareexpenses 实例对象
     * @return 实例对象
     */
    StaSoftwareexpenses update(StaSoftwareexpenses staSoftwareexpenses);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 获取软件使用费列表
     *
     * @return
     */
    List<StaSoftwareexpenses> getRjsyfList(Integer zb);

    /**
     * 通过主表删除数据
     *
     * @param zb
     * @return
     */
    int deleteByZb(Integer zb);

    /**
     * 批量删除软件使用费
     *
     * @param zbList
     * @return
     */
    int batchDeleteByZb(List<Integer> zbList);

    /**
     * 批量插入软件使用费
     *
     * @param expenseList
     * @return
     */
    int insertBatch(List<StaSoftwareexpenses> expenseList);
}
